Bug 1411113 - Section 1.4 of Installing Cloudforms 4.2 on RHEV, Uploading the Appliance Manually, is wrong
Summary: Section 1.4 of Installing Cloudforms 4.2 on RHEV, Uploading the Appliance Man...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation
Version: 5.7.0
Hardware: All
OS: Linux
high
high
Target Milestone: GA
: 5.7.2
Assignee: Dayle Parker
QA Contact: Suyog Sainkar
URL:
Whiteboard: doc
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 13:10 UTC by Greg Scott
Modified: 2017-07-17 14:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-07 04:54:47 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Revised "Uploading the Appliance Manually" section (215.58 KB, image/png)
2017-03-27 03:26 UTC, Dayle Parker
gscott: review+
gscott: review+
Details

Description Greg Scott 2017-01-08 13:10:08 UTC
Document URL: https://access.redhat.com/documentation/en/red-hat-cloudforms/4.2/paged/installing-red-hat-cloudforms-on-red-hat-enterprise-virtualization/

Section Number and Name: 1.4 Uploading the Appliance Manually

Describe the issue: 

Section 1.4 says to cd to the NFS share for the export domain, copy the .ova to that directory, and then unpack it with tar.  This is incorrect.  It should say to run the ls command, find a directory with a long GUID name, cd to that directory, and do the tar command from there.

Suggestions for improvement: 

Append something like this under step 2:

Change to the Export storage domain’s directory.
Copy the Red Hat CloudForms appliance OVF archive to this directory.
Issue the ls command and look for a directory named after a GUID.
cd to that directory
Extract the OVF file using the tar command:

tar xvf ../cfme-rhevm-5.7.0.17-1.x86_64.rhevm.ova
.
.
.
Pick up with the chown commands as documented in the original step 5.

Now the extracted files are in the correct directory tree.  Also notice the tar command above uses the correct filename downloaded from the user portal.

Additional information: 

Here is how I did it after cleaning up from the first try.  After going through the process below, my RHVM export domain showed the new appliance in the Admin portal GUI.

[root@storage2015 rhevexports]# ls
4a8fc2b1-0a57-47fd-b622-7e170981305b    __DIRECT_IO_TEST__
cfme-rhevm-5.7.0.17-1.x86_64.rhevm.ova
[root@storage2015 rhevexports]# cd 4a8fc2b1-0a57-47fd-b622-7e170981305b/
[root@storage2015 4a8fc2b1-0a57-47fd-b622-7e170981305b]# ls
dom_md  images  master
[root@storage2015 4a8fc2b1-0a57-47fd-b622-7e170981305b]#
[root@storage2015 4a8fc2b1-0a57-47fd-b622-7e170981305b]# tar xvf ../cfme-rhevm-5.7.0.17-1.x86_64.rhevm.ova
images/
images/896d49ac-a5e4-4b73-8448-9778bb76ce32/
images/896d49ac-a5e4-4b73-8448-9778bb76ce32/26e85696-78a4-4a82-aedd-bf60a4aa7dae.meta
images/896d49ac-a5e4-4b73-8448-9778bb76ce32/26e85696-78a4-4a82-aedd-bf60a4aa7dae
master/
master/vms/
master/vms/647d5765-17fe-436d-aff1-82243e79976a/
master/vms/647d5765-17fe-436d-aff1-82243e79976a/647d5765-17fe-436d-aff1-82243e79976a.ovf
[root@storage2015 4a8fc2b1-0a57-47fd-b622-7e170981305b]# chown -R 36:36 master/
[root@storage2015 4a8fc2b1-0a57-47fd-b622-7e170981305b]# chown -R 36:36 images/
[root@storage2015 4a8fc2b1-0a57-47fd-b622-7e170981305b]#

Comment 2 Andrew Dahms 2017-02-28 05:54:17 UTC
Assigning to Dayle for review.

Comment 3 Dayle Parker 2017-03-27 03:26:24 UTC
Created attachment 1266529 [details]
Revised "Uploading the Appliance Manually" section

Hi Greg,

I've revised the steps in this section now (preview attached).
Could you please have a look and let me know if the instructions are correct now, and clear enough? 

Thank you,
Dayle

Comment 4 Greg Scott 2017-04-03 14:22:31 UTC
Sorry it took me so long to look this over.  The new instructions look like they match what I put in the BZ. Think about including an example, so installers know why we want them to chown images/ and master/.  You can use the one I pasted into the bz if you want.

- Greg

Comment 5 Dayle Parker 2017-04-05 08:11:53 UTC
Thanks for reviewing, Greg! I'll add your example then so it makes more sense to readers.

Comment 6 Dayle Parker 2017-04-06 00:21:23 UTC
Created attachment 1269129 [details]
Revised version of Uploading Appliance Manually - with CLI example text

Comment 10 Dayle Parker 2017-04-07 04:54:47 UTC
The 4.2 Installing Red Hat CloudForms on Red Hat Virtualization guide has been republished to the Customer Portal with revised section "1.2.3. Uploading the Appliance Manually", available here:

https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.2/html-single/installing_red_hat_cloudforms_on_red_hat_virtualization/#uploading-the-appliance-on-red-hat-virtualization-manager


Note You need to log in before you can comment on or make changes to this bug.